#!/bin/env python3
from json import loads

def parse_ip(raw_ip):
    result = []
    ip = loads(raw_ip)
    for interface in ip:
        if not interface["ifname"].startswith("br-")\
            and not interface["ifname"].startswith("vet") \
            and not interface["ifname"].startswith("dock") \
            and interface["operstate"] != "DOWN" \
            :
            result.append(interface)
    return result

def parse_debian(content):
    current_section = ""
    result = {}
    for line in content.splitlines():
        if line.startswith("#####") and line.endswith("#####"):
            current_section = line.replace(" ","").replace("#","").lower()
            result[current_section] = ""
        else:
            if current_section:
                result[current_section] += line
    print(result["hostname"])
    print(parse_ip(result["ip"]))

if __name__ == "__main__":
    main()

